[{"data":1,"prerenderedAt":1131},["ShallowReactive",2],{"docs-page-\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Ffailure-recovery":3,"nav-docs_en-api_en":450,"surround-\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Ffailure-recovery":1128},{"document":4,"collection":448,"isFallback":449,"defaultLocalePath":431},{"id":5,"title":6,"audience":7,"body":8,"boost":417,"date":417,"description":14,"extension":418,"keywords":419,"meta":429,"navigation":430,"path":431,"question_examples":432,"related":436,"seo":438,"slug":417,"stem":439,"summary":440,"synonyms":441,"__hash__":447},"docs_en\u002Fen\u002F2.api\u002F3.webhooks\u002F1.guides\u002F6.failure-recovery.md","Detecting and recovering webhook failures","api",{"type":9,"value":10,"toc":412},"minimark",[11,15,20,39,91,158,218,221,225,234,263,338,342,364,382,385,405,408],[12,13,14],"p",{},"A webhook delivery fails when your endpoint does not accept it, for example because the URL cannot be resolved or the server answers with an error code. Safecube retries a failed delivery several times before marking it as failed. The Webhooks API detects these failures and resends the messages once the endpoint is fixed.",[16,17,19],"h2",{"id":18},"detect-failures-with-the-api","Detect failures with the API",[12,21,22,30,31,34,35,38],{},[23,24,26],"a",{"href":25},"\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get-stats",[27,28,29],"code",{},"GET \u002Fendpoint\u002F{endpoint_id}\u002Fstats"," returns the delivery statistics of an endpoint over the last 28 days at most. The optional ",[27,32,33],{},"since"," and ",[27,36,37],{},"until"," query parameters narrow the period.",[40,41,46],"pre",{"className":42,"code":43,"language":44,"meta":45,"style":45},"language-bash shiki shiki-themes github-light github-dark","curl \"https:\u002F\u002Fapi.sinay.ai\u002Fwebhook\u002Fapi\u002Fv1\u002Fendpoint\u002F{endpoint_id}\u002Fstats?since=2024-06-12T12:00:00Z\" \\\n  -H \"API_KEY: $SAFECUBE_API_KEY\" \\\n  -H \"Accept: application\u002Fjson\"\n","bash","",[27,47,48,65,83],{"__ignoreMap":45},[49,50,53,57,61],"span",{"class":51,"line":52},"line",1,[49,54,56],{"class":55},"sScJk","curl",[49,58,60],{"class":59},"sZZnC"," \"https:\u002F\u002Fapi.sinay.ai\u002Fwebhook\u002Fapi\u002Fv1\u002Fendpoint\u002F{endpoint_id}\u002Fstats?since=2024-06-12T12:00:00Z\"",[49,62,64],{"class":63},"sj4cs"," \\\n",[49,66,68,71,74,78,81],{"class":51,"line":67},2,[49,69,70],{"class":63},"  -H",[49,72,73],{"class":59}," \"API_KEY: ",[49,75,77],{"class":76},"sVt8B","$SAFECUBE_API_KEY",[49,79,80],{"class":59},"\"",[49,82,64],{"class":63},[49,84,86,88],{"class":51,"line":85},3,[49,87,70],{"class":63},[49,89,90],{"class":59}," \"Accept: application\u002Fjson\"\n",[40,92,96],{"className":93,"code":94,"language":95,"meta":45,"style":45},"language-json shiki shiki-themes github-light github-dark","{\n  \"success\": 0,\n  \"pending\": 0,\n  \"sending\": 10,\n  \"fail\": 32\n}\n","json",[27,97,98,103,117,128,141,152],{"__ignoreMap":45},[49,99,100],{"class":51,"line":52},[49,101,102],{"class":76},"{\n",[49,104,105,108,111,114],{"class":51,"line":67},[49,106,107],{"class":63},"  \"success\"",[49,109,110],{"class":76},": ",[49,112,113],{"class":63},"0",[49,115,116],{"class":76},",\n",[49,118,119,122,124,126],{"class":51,"line":85},[49,120,121],{"class":63},"  \"pending\"",[49,123,110],{"class":76},[49,125,113],{"class":63},[49,127,116],{"class":76},[49,129,131,134,136,139],{"class":51,"line":130},4,[49,132,133],{"class":63},"  \"sending\"",[49,135,110],{"class":76},[49,137,138],{"class":63},"10",[49,140,116],{"class":76},[49,142,144,147,149],{"class":51,"line":143},5,[49,145,146],{"class":63},"  \"fail\"",[49,148,110],{"class":76},[49,150,151],{"class":63},"32\n",[49,153,155],{"class":51,"line":154},6,[49,156,157],{"class":76},"}\n",[159,160,161,174],"table",{},[162,163,164],"thead",{},[165,166,167,171],"tr",{},[168,169,170],"th",{},"Field",[168,172,173],{},"Number of messages over the period",[175,176,177,188,198,208],"tbody",{},[165,178,179,185],{},[180,181,182],"td",{},[27,183,184],{},"success",[180,186,187],{},"delivered successfully",[165,189,190,195],{},[180,191,192],{},[27,193,194],{},"pending",[180,196,197],{},"still pending",[165,199,200,205],{},[180,201,202],{},[27,203,204],{},"sending",[180,206,207],{},"still being sent — a message can be retried several times",[165,209,210,215],{},[180,211,212],{},[27,213,214],{},"fail",[180,216,217],{},"failed after being retried several times",[12,219,220],{},"In this example, the endpoint recorded many failures and no success: fix the endpoint, then resend the failed messages.",[16,222,224],{"id":223},"recover-failures-with-the-api","Recover failures with the API",[12,226,227,228,230,231,233],{},"Two endpoints resend messages to an endpoint over a period, set by ",[27,229,33],{}," and an optional ",[27,232,37],{},":",[235,236,237,247],"ul",{},[238,239,240,246],"li",{},[23,241,243],{"href":242},"\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-recover",[27,244,245],{},"POST \u002Fendpoint\u002F{endpoint_id}\u002Frecover"," resends every failed message since the given time.",[238,248,249,255,256,258,259,262],{},[23,250,252],{"href":251},"\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-replay",[27,253,254],{},"POST \u002Fendpoint\u002F{endpoint_id}\u002Freplay-missing"," replays the messages created after ",[27,257,33],{}," that were never sent to the endpoint; messages already sent are not resent. A successful request returns ",[27,260,261],{},"204 No Content",".",[40,264,266],{"className":42,"code":265,"language":44,"meta":45,"style":45},"curl -X POST \"https:\u002F\u002Fapi.sinay.ai\u002Fwebhook\u002Fapi\u002Fv1\u002Fendpoint\u002F{endpoint_id}\u002Freplay-missing\" \\\n  -H \"API_KEY: $SAFECUBE_API_KEY\" \\\n  -H \"Content-Type: application\u002Fjson\" \\\n  -H \"Accept: application\u002Fjson\" \\\n  -d '{\n    \"since\": \"2024-06-12T12:00:00Z\",\n    \"until\": \"2024-06-12T15:00:00Z\"\n  }'\n",[27,267,268,283,295,304,313,321,326,332],{"__ignoreMap":45},[49,269,270,272,275,278,281],{"class":51,"line":52},[49,271,56],{"class":55},[49,273,274],{"class":63}," -X",[49,276,277],{"class":59}," POST",[49,279,280],{"class":59}," \"https:\u002F\u002Fapi.sinay.ai\u002Fwebhook\u002Fapi\u002Fv1\u002Fendpoint\u002F{endpoint_id}\u002Freplay-missing\"",[49,282,64],{"class":63},[49,284,285,287,289,291,293],{"class":51,"line":67},[49,286,70],{"class":63},[49,288,73],{"class":59},[49,290,77],{"class":76},[49,292,80],{"class":59},[49,294,64],{"class":63},[49,296,297,299,302],{"class":51,"line":85},[49,298,70],{"class":63},[49,300,301],{"class":59}," \"Content-Type: application\u002Fjson\"",[49,303,64],{"class":63},[49,305,306,308,311],{"class":51,"line":130},[49,307,70],{"class":63},[49,309,310],{"class":59}," \"Accept: application\u002Fjson\"",[49,312,64],{"class":63},[49,314,315,318],{"class":51,"line":143},[49,316,317],{"class":63},"  -d",[49,319,320],{"class":59}," '{\n",[49,322,323],{"class":51,"line":154},[49,324,325],{"class":59},"    \"since\": \"2024-06-12T12:00:00Z\",\n",[49,327,329],{"class":51,"line":328},7,[49,330,331],{"class":59},"    \"until\": \"2024-06-12T15:00:00Z\"\n",[49,333,335],{"class":51,"line":334},8,[49,336,337],{"class":59},"  }'\n",[16,339,341],{"id":340},"detect-and-recover-failures-in-the-svix-dashboard","Detect and recover failures in the Svix dashboard",[12,343,344,345,349,350,353,354,357,358,262],{},"The Svix dashboard shows the same delivery information in a browser. Open it from the Safecube web application — ",[346,347,348],"strong",{},"Developers"," in the sidebar, ",[346,351,352],{},"Webhooks"," tab, ",[346,355,356],{},"Open Svix dashboard"," — or from the link returned by ",[23,359,361],{"href":360},"\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fapplication\u002Fapplication-dashboard",[27,362,363],{},"GET \u002Fdashboard",[235,365,366,373],{},[238,367,368,369,372],{},"The ",[346,370,371],{},"Endpoints"," list shows the error rate of each endpoint.",[238,374,368,375,34,378,381],{},[346,376,377],{},"Logs",[346,379,380],{},"Activity"," menus show the messages sent and their delivery attempts. A message can be opened to check what was sent and investigate the error.",[12,383,384],{},"A webhook message has one of three statuses:",[235,386,387,393,399],{},[238,388,389,392],{},[346,390,391],{},"Succeeded"," — the endpoint received the webhook without any error code.",[238,394,395,398],{},[346,396,397],{},"Sending"," — delivery failed at least once, and Safecube will retry.",[238,400,401,404],{},[346,402,403],{},"Failed"," — every delivery attempt failed.",[12,406,407],{},"Once the problem is fixed, failed messages can be resent from the dashboard, one by one or as all the missing messages since a given date.",[409,410,411],"style",{},"html pre.shiki code .sScJk, html code.shiki .sScJk{--shiki-default:#6F42C1;--shiki-dark:#B392F0}html pre.shiki code .sZZnC, html code.shiki .sZZnC{--shiki-default:#032F62;--shiki-dark:#9ECBFF}html pre.shiki code .sj4cs, html code.shiki .sj4cs{--shiki-default:#005CC5;--shiki-dark:#79B8FF}html pre.shiki code .sVt8B, html code.shiki .sVt8B{--shiki-default:#24292E;--shiki-dark:#E1E4E8}html .default .shiki span {color: var(--shiki-default);background: var(--shiki-default-bg);font-style: var(--shiki-default-font-style);font-weight: var(--shiki-default-font-weight);text-decoration: var(--shiki-default-text-decoration);}html .shiki span {color: var(--shiki-default);background: var(--shiki-default-bg);font-style: var(--shiki-default-font-style);font-weight: var(--shiki-default-font-weight);text-decoration: var(--shiki-default-text-decoration);}html .dark .shiki span {color: var(--shiki-dark);background: var(--shiki-dark-bg);font-style: var(--shiki-dark-font-style);font-weight: var(--shiki-dark-font-weight);text-decoration: var(--shiki-dark-text-decoration);}html.dark .shiki span {color: var(--shiki-dark);background: var(--shiki-dark-bg);font-style: var(--shiki-dark-font-style);font-weight: var(--shiki-dark-font-weight);text-decoration: var(--shiki-dark-text-decoration);}",{"title":45,"searchDepth":85,"depth":85,"links":413},[414,415,416],{"id":18,"depth":67,"text":19},{"id":223,"depth":67,"text":224},{"id":340,"depth":67,"text":341},null,"md",[420,421,422,423,424,425,426,427,428],"webhook failure","failed webhook","retry","recover","replay missing","endpoint stats","error rate","logs","svix",{},true,"\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Ffailure-recovery",[433,434,435],"How do I know whether Safecube webhooks failed to reach my endpoint?","How do I resend the webhooks my endpoint missed during an outage?","What is the difference between recover and replay-missing for webhooks?",[25,242,251,437],"\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Ftesting-your-endpoint",{"title":6,"description":14},"en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F6.failure-recovery","Detect failed Safecube webhook deliveries with GET \u002Fendpoint\u002F{endpoint_id}\u002Fstats, then resend them with POST \u002Fendpoint\u002F{endpoint_id}\u002Frecover or replay-missing once the endpoint is fixed; the Svix dashboard shows the same information.",[442,443,444,445,446],"webhook not received","resend webhook","missed events","delivery failure","webhook retries","XAQiIu-XiVhiSWWeGoFSgIxxgbl2_cw2XOmcUGh21hM","docs_en",false,{"platform":451,"api":625,"faq":980,"changelog":1006},[452,474,503,524,541,554,583,600,612],{"title":453,"path":454,"stem":455,"children":456,"page":449},"Getting Started","\u002Fen\u002Fplatform\u002Fgetting-started","en\u002F1.platform\u002F1.getting-started",[457,462,466,470],{"title":458,"path":459,"stem":460,"audience":461},"Creating an account","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fcreating-an-account","en\u002F1.platform\u002F1.getting-started\u002F1.creating-an-account","platform",{"title":463,"path":464,"stem":465,"audience":461},"Adding shipments","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fadding-shipments","en\u002F1.platform\u002F1.getting-started\u002F2.adding-shipments",{"title":467,"path":468,"stem":469,"audience":461},"Supported sealines","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fsupported-sealines","en\u002F1.platform\u002F1.getting-started\u002F3.supported-sealines",{"title":471,"path":472,"stem":473,"audience":461},"Navigating the platform","\u002Fen\u002Fplatform\u002Fgetting-started\u002Fnavigating-the-platform","en\u002F1.platform\u002F1.getting-started\u002F4.navigating-the-platform",{"title":475,"path":476,"stem":477,"children":478,"page":449},"Container Tracking","\u002Fen\u002Fplatform\u002Fcontainer-tracking","en\u002F1.platform\u002F2.container-tracking",[479,483,487,491,495,499],{"title":480,"path":481,"stem":482,"audience":461},"Shipment details","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fshipment-details","en\u002F1.platform\u002F2.container-tracking\u002F1.shipment-details",{"title":484,"path":485,"stem":486,"audience":461},"Shipping statuses","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fshipping-statuses","en\u002F1.platform\u002F2.container-tracking\u002F2.shipping-statuses",{"title":488,"path":489,"stem":490,"audience":461},"Update frequency","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fupdate-frequency","en\u002F1.platform\u002F2.container-tracking\u002F3.update-frequency",{"title":492,"path":493,"stem":494,"audience":461},"Tracking issues","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Ftracking-issues","en\u002F1.platform\u002F2.container-tracking\u002F4.tracking-issues",{"title":496,"path":497,"stem":498,"audience":461},"Sharing and export","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fsharing-and-export","en\u002F1.platform\u002F2.container-tracking\u002F5.sharing-and-export",{"title":500,"path":501,"stem":502,"audience":461},"Shipment archiving","\u002Fen\u002Fplatform\u002Fcontainer-tracking\u002Fshipment-archiving","en\u002F1.platform\u002F2.container-tracking\u002F6.shipment-archiving",{"title":504,"path":505,"stem":506,"children":507,"page":449},"Shipment Views","\u002Fen\u002Fplatform\u002Fshipment-views","en\u002F1.platform\u002F3.shipment-views",[508,512,516,520],{"title":509,"path":510,"stem":511,"audience":461},"Shipment list","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fshipment-list","en\u002F1.platform\u002F3.shipment-views\u002F1.shipment-list",{"title":513,"path":514,"stem":515,"audience":461},"Shipment list columns","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fshipment-list-columns","en\u002F1.platform\u002F3.shipment-views\u002F2.shipment-list-columns",{"title":517,"path":518,"stem":519,"audience":461},"Kanban","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fkanban","en\u002F1.platform\u002F3.shipment-views\u002F3.kanban",{"title":521,"path":522,"stem":523,"audience":461},"Calendar","\u002Fen\u002Fplatform\u002Fshipment-views\u002Fcalendar","en\u002F1.platform\u002F3.shipment-views\u002F4.calendar",{"title":525,"path":526,"stem":527,"children":528,"page":449},"Alerts","\u002Fen\u002Fplatform\u002Falerts","en\u002F1.platform\u002F4.alerts",[529,533,537],{"title":530,"path":531,"stem":532,"audience":461},"Alerts page","\u002Fen\u002Fplatform\u002Falerts\u002Falerts-page","en\u002F1.platform\u002F4.alerts\u002F1.alerts-page",{"title":534,"path":535,"stem":536,"audience":461},"Alert management","\u002Fen\u002Fplatform\u002Falerts\u002Falert-management","en\u002F1.platform\u002F4.alerts\u002F2.alert-management",{"title":538,"path":539,"stem":540,"audience":461},"Notifications and reports","\u002Fen\u002Fplatform\u002Falerts\u002Fnotifications-and-reports","en\u002F1.platform\u002F4.alerts\u002F3.notifications-and-reports",{"title":542,"path":543,"stem":544,"children":545,"page":449},"Analytics","\u002Fen\u002Fplatform\u002Fanalytics","en\u002F1.platform\u002F5.analytics",[546,550],{"title":547,"path":548,"stem":549,"audience":461},"Performance analytics","\u002Fen\u002Fplatform\u002Fanalytics\u002Fperformance","en\u002F1.platform\u002F5.analytics\u002F1.performance",{"title":551,"path":552,"stem":553,"audience":461},"Sustainability","\u002Fen\u002Fplatform\u002Fanalytics\u002Fsustainability","en\u002F1.platform\u002F5.analytics\u002F2.sustainability",{"title":555,"path":556,"stem":557,"children":558,"page":449},"Workspace","\u002Fen\u002Fplatform\u002Fworkspace","en\u002F1.platform\u002F6.workspace",[559,563,567,571,575,579],{"title":560,"path":561,"stem":562,"audience":461},"Users and roles","\u002Fen\u002Fplatform\u002Fworkspace\u002Fusers-and-roles","en\u002F1.platform\u002F6.workspace\u002F1.users-and-roles",{"title":564,"path":565,"stem":566,"audience":461},"Teams","\u002Fen\u002Fplatform\u002Fworkspace\u002Fteams","en\u002F1.platform\u002F6.workspace\u002F2.teams",{"title":568,"path":569,"stem":570,"audience":461},"Documents","\u002Fen\u002Fplatform\u002Fworkspace\u002Fdocuments","en\u002F1.platform\u002F6.workspace\u002F3.documents",{"title":572,"path":573,"stem":574,"audience":461},"Workspace settings","\u002Fen\u002Fplatform\u002Fworkspace\u002Fworkspace-settings","en\u002F1.platform\u002F6.workspace\u002F4.workspace-settings",{"title":576,"path":577,"stem":578,"audience":461},"White label","\u002Fen\u002Fplatform\u002Fworkspace\u002Fwhite-label","en\u002F1.platform\u002F6.workspace\u002F5.white-label",{"title":580,"path":581,"stem":582,"audience":461},"Account settings","\u002Fen\u002Fplatform\u002Fworkspace\u002Faccount-settings","en\u002F1.platform\u002F6.workspace\u002F6.account-settings",{"title":584,"path":585,"stem":586,"children":587,"page":449},"Billing","\u002Fen\u002Fplatform\u002Fbilling","en\u002F1.platform\u002F7.billing",[588,592,596],{"title":589,"path":590,"stem":591,"audience":461},"Billing and payment","\u002Fen\u002Fplatform\u002Fbilling\u002Fbilling-and-payment","en\u002F1.platform\u002F7.billing\u002F1.billing-and-payment",{"title":593,"path":594,"stem":595,"audience":461},"Shipment billing","\u002Fen\u002Fplatform\u002Fbilling\u002Fshipment-billing","en\u002F1.platform\u002F7.billing\u002F2.shipment-billing",{"title":597,"path":598,"stem":599,"audience":461},"Free trial","\u002Fen\u002Fplatform\u002Fbilling\u002Ffree-trial","en\u002F1.platform\u002F7.billing\u002F3.free-trial",{"title":348,"path":601,"stem":602,"children":603,"page":449},"\u002Fen\u002Fplatform\u002Fdevelopers","en\u002F1.platform\u002F8.developers",[604,608],{"title":605,"path":606,"stem":607,"audience":461},"API credentials","\u002Fen\u002Fplatform\u002Fdevelopers\u002Fapi-credentials","en\u002F1.platform\u002F8.developers\u002F1.api-credentials",{"title":609,"path":610,"stem":611,"audience":461},"Webhooks console","\u002Fen\u002Fplatform\u002Fdevelopers\u002Fwebhooks-console","en\u002F1.platform\u002F8.developers\u002F2.webhooks-console",{"title":613,"path":614,"stem":615,"children":616,"page":449},"Integrations","\u002Fen\u002Fplatform\u002Fintegrations","en\u002F1.platform\u002F9.integrations",[617,621],{"title":618,"path":619,"stem":620,"audience":461},"Salesforce installation","\u002Fen\u002Fplatform\u002Fintegrations\u002Fsalesforce-installation","en\u002F1.platform\u002F9.integrations\u002F1.salesforce-installation",{"title":622,"path":623,"stem":624,"audience":461},"Salesforce user guide","\u002Fen\u002Fplatform\u002Fintegrations\u002Fsalesforce-user-guide","en\u002F1.platform\u002F9.integrations\u002F2.salesforce-user-guide",[626,642,714,872,907,939],{"title":453,"path":627,"stem":628,"children":629,"page":449},"\u002Fen\u002Fapi\u002Fgetting-started","en\u002F2.api\u002F1.getting-started",[630,634,638],{"title":631,"path":632,"stem":633,"audience":7},"API overview","\u002Fen\u002Fapi\u002Fgetting-started\u002Foverview","en\u002F2.api\u002F1.getting-started\u002F1.overview",{"title":635,"path":636,"stem":637,"audience":7},"Authentication","\u002Fen\u002Fapi\u002Fgetting-started\u002Fauthentication","en\u002F2.api\u002F1.getting-started\u002F2.authentication",{"title":639,"path":640,"stem":641,"audience":7},"Rate limits","\u002Fen\u002Fapi\u002Fgetting-started\u002Frate-limits","en\u002F2.api\u002F1.getting-started\u002F3.rate-limits",{"title":475,"path":643,"stem":644,"children":645,"page":449},"\u002Fen\u002Fapi\u002Fcontainer-tracking","en\u002F2.api\u002F2.container-tracking",[646,683],{"title":647,"path":648,"stem":649,"children":650,"page":449},"Guides","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides","en\u002F2.api\u002F2.container-tracking\u002F1.guides",[651,655,659,663,667,671,675,679],{"title":652,"path":653,"stem":654,"audience":7},"Getting started with the Container Tracking API","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F1.getting-started",{"title":656,"path":657,"stem":658,"audience":7},"Shipment location","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fshipment-location","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F2.shipment-location",{"title":660,"path":661,"stem":662,"audience":7},"Shipment route","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fshipment-route","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F3.shipment-route",{"title":664,"path":665,"stem":666,"audience":7},"Demurrage risk","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fdemurrage-risk","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F4.demurrage-risk",{"title":668,"path":669,"stem":670,"audience":7},"Error codes","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Ferror-codes","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F5.error-codes",{"title":672,"path":673,"stem":674,"audience":7},"Status and event codes","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fstatus-and-event-codes","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F6.status-and-event-codes",{"title":676,"path":677,"stem":678,"audience":7},"Supported shipping lines","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fsupported-sealines","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F7.supported-sealines",{"title":680,"path":681,"stem":682,"audience":7},"Sandbox and test shipments","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Fguides\u002Fsandbox","en\u002F2.api\u002F2.container-tracking\u002F1.guides\u002F8.sandbox",{"title":684,"path":685,"stem":686,"children":687,"page":449},"Reference","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference","en\u002F2.api\u002F2.container-tracking\u002F2.reference",[688,694,699,704,709],{"title":689,"path":690,"stem":691,"method":692,"endpoint":693},"Retrieve shipment tracking data","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fget-shipment-detail","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F1.get-shipment-detail","GET","\u002Fshipment",{"title":695,"path":696,"stem":697,"method":692,"endpoint":698},"Retrieve shipment tracking data in a Searates-compatible format","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fget-shipment-searates-format","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F2.get-shipment-searates-format","\u002Fshipment-format\u002Fsearates",{"title":700,"path":701,"stem":702,"method":692,"endpoint":703},"Retrieve available sealines","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fget-sea-line-details","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F3.get-sea-line-details","\u002Fsealines",{"title":705,"path":706,"stem":707,"method":692,"endpoint":708},"Retrieve your monthly usages","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fretrieve-usages","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F4.retrieve-usages","\u002Fusages",{"title":710,"path":711,"stem":712,"method":692,"endpoint":713},"Retrieve list of shipments called with the API, that usages have a minimum resolution of a month (you cant select the usage for one  week for example, the usage will automatically be for the month of the week provided)","\u002Fen\u002Fapi\u002Fcontainer-tracking\u002Freference\u002Fretrieve-shipment-usages","en\u002F2.api\u002F2.container-tracking\u002F2.reference\u002F5.retrieve-shipment-usages","\u002Fshipment-usage",{"title":352,"path":715,"stem":716,"children":717,"page":449},"\u002Fen\u002Fapi\u002Fwebhooks","en\u002F2.api\u002F3.webhooks",[718,753],{"title":647,"path":719,"stem":720,"children":721,"page":449},"\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides","en\u002F2.api\u002F3.webhooks\u002F1.guides",[722,726,730,734,737,740,741,745,749],{"title":723,"path":724,"stem":725,"audience":7},"Getting started with webhooks","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F1.getting-started",{"title":727,"path":728,"stem":729,"audience":7},"Synchronous and asynchronous tracking","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fsync-vs-async","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F2.sync-vs-async",{"title":731,"path":732,"stem":733,"audience":7},"Using webhooks as a push API","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fpush-api","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F3.push-api",{"title":463,"path":735,"stem":736,"audience":7},"\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fadding-shipments","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F4.adding-shipments",{"title":738,"path":437,"stem":739,"audience":7},"Testing your webhook endpoint","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F5.testing-your-endpoint",{"title":6,"path":431,"stem":439,"audience":7},{"title":742,"path":743,"stem":744,"audience":7},"Shipment usage","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fshipment-usage","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F7.shipment-usage",{"title":746,"path":747,"stem":748,"audience":7},"Webhook events","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fevents","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F8.events",{"title":750,"path":751,"stem":752,"audience":7},"Auto-removal policy","\u002Fen\u002Fapi\u002Fwebhooks\u002Fguides\u002Fauto-removal-policy","en\u002F2.api\u002F3.webhooks\u002F1.guides\u002F9.auto-removal-policy",{"title":684,"path":754,"stem":755,"children":756,"page":449},"\u002Fen\u002Fapi\u002Fwebhooks\u002Freference","en\u002F2.api\u002F3.webhooks\u002F2.reference",[757,831,854,863],{"title":371,"path":758,"stem":759,"children":760,"page":449},"\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints",[761,767,771,776,781,786,791,796,801,805,809,813,818,822,826],{"title":762,"path":763,"stem":764,"method":765,"endpoint":766},"Create Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-create","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F1.endpoint-create","POST","\u002Fendpoint",{"title":768,"path":769,"stem":770,"method":692,"endpoint":766},"List Endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-list","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F2.endpoint-list",{"title":772,"path":773,"stem":774,"method":692,"endpoint":775},"Get Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F3.endpoint-get","\u002Fendpoint\u002F{endpoint_id}",{"title":777,"path":778,"stem":779,"method":780,"endpoint":775},"Update Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-update","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F4.endpoint-update","PUT",{"title":782,"path":783,"stem":784,"method":785,"endpoint":775},"Delete Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-delete","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F5.endpoint-delete","DELETE",{"title":787,"path":788,"stem":789,"method":790,"endpoint":775},"Patch Endpoint","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-patch","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F6.endpoint-patch","PATCH",{"title":792,"path":793,"stem":794,"method":692,"endpoint":795},"Get Endpoint Secret","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get-secret","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F7.endpoint-get-secret","\u002Fendpoint\u002F{endpoint_id}\u002Fsecret",{"title":797,"path":798,"stem":799,"method":765,"endpoint":800},"Rotate Endpoint Secret","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-rotate-secret","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F8.endpoint-rotate-secret","\u002Fendpoint\u002F{endpoint_id}\u002Fsecret\u002Frotate",{"title":802,"path":25,"stem":803,"method":692,"endpoint":804},"Endpoint Stats","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F9.endpoint-get-stats","\u002Fendpoint\u002F{endpoint_id}\u002Fstats",{"title":806,"path":242,"stem":807,"method":765,"endpoint":808},"Recover Failed Webhooks","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F10.endpoint-recover","\u002Fendpoint\u002F{endpoint_id}\u002Frecover",{"title":810,"path":251,"stem":811,"method":765,"endpoint":812},"Replay Missing Webhooks","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F11.endpoint-replay","\u002Fendpoint\u002F{endpoint_id}\u002Freplay-missing",{"title":814,"path":815,"stem":816,"method":692,"endpoint":817},"Get Endpoint Headers","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-get-headers","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F12.endpoint-get-headers","\u002Fendpoint\u002F{endpoint_id}\u002Fheaders",{"title":819,"path":820,"stem":821,"method":780,"endpoint":817},"Update Endpoint Headers","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-update-headers","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F13.endpoint-update-headers",{"title":823,"path":824,"stem":825,"method":790,"endpoint":817},"Patch Endpoint Headers","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-patch-headers","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F14.endpoint-patch-headers",{"title":827,"path":828,"stem":829,"method":765,"endpoint":830},"Send Event Type Example Message","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fendpoints\u002Fendpoint-send-example","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F1.endpoints\u002F15.endpoint-send-example","\u002Fendpoint\u002F{endpoint_id}\u002Fsend-example",{"title":832,"path":833,"stem":834,"children":835,"page":449},"Easy Shipment","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment",[836,841,846,850],{"title":837,"path":838,"stem":839,"method":765,"endpoint":840},"Add shipments asynchronously","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-add-async","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F1.easy-shipment-add-async","\u002Feasy-shipment-asynchronous",{"title":842,"path":843,"stem":844,"method":692,"endpoint":845},"Get the list of shipments for all your endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-get","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F2.easy-shipment-get","\u002Feasy-shipment",{"title":847,"path":848,"stem":849,"method":780,"endpoint":845},"Update shipments to endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-update","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F3.easy-shipment-update",{"title":851,"path":852,"stem":853,"method":785,"endpoint":845},"Delete shipments to endpoints","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Feasy-shipment\u002Feasy-shipment-delete","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F2.easy-shipment\u002F4.easy-shipment-delete",{"title":855,"path":856,"stem":857,"children":858,"page":449},"Application","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fapplication","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F3.application",[859],{"title":860,"path":360,"stem":861,"method":692,"endpoint":862},"Get dashboard url","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F3.application\u002F1.application-dashboard","\u002Fdashboard",{"title":864,"path":865,"stem":866,"children":867,"page":449},"Usages","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fusages","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F4.usages",[868],{"title":869,"path":870,"stem":871,"method":692,"endpoint":713},"Retrieve list of shipments called with the API","\u002Fen\u002Fapi\u002Fwebhooks\u002Freference\u002Fusages\u002Fretrieve-shipment-usages","en\u002F2.api\u002F3.webhooks\u002F2.reference\u002F4.usages\u002F1.retrieve-shipment-usages",{"title":873,"path":874,"stem":875,"children":876,"page":449},"Shipment Management","\u002Fen\u002Fapi\u002Fshipment-management","en\u002F2.api\u002F4.shipment-management",[877,889],{"title":647,"path":878,"stem":879,"children":880,"page":449},"\u002Fen\u002Fapi\u002Fshipment-management\u002Fguides","en\u002F2.api\u002F4.shipment-management\u002F1.guides",[881,885],{"title":882,"path":883,"stem":884,"audience":7},"Getting started with the Shipment Management API","\u002Fen\u002Fapi\u002Fshipment-management\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F4.shipment-management\u002F1.guides\u002F1.getting-started",{"title":886,"path":887,"stem":888,"audience":7},"Embed a shipment in an iframe","\u002Fen\u002Fapi\u002Fshipment-management\u002Fguides\u002Fiframe-embed","en\u002F2.api\u002F4.shipment-management\u002F1.guides\u002F2.iframe-embed",{"title":684,"path":890,"stem":891,"children":892,"page":449},"\u002Fen\u002Fapi\u002Fshipment-management\u002Freference","en\u002F2.api\u002F4.shipment-management\u002F2.reference",[893,898,902],{"title":894,"path":895,"stem":896,"method":765,"endpoint":897},"Create shipments","\u002Fen\u002Fapi\u002Fshipment-management\u002Freference\u002Fcreate-shipments","en\u002F2.api\u002F4.shipment-management\u002F2.reference\u002F1.create-shipments","\u002Fpublic\u002Fshipments",{"title":899,"path":900,"stem":901,"method":785,"endpoint":897},"Delete multiple shipments","\u002Fen\u002Fapi\u002Fshipment-management\u002Freference\u002Fdelete-shipments","en\u002F2.api\u002F4.shipment-management\u002F2.reference\u002F2.delete-shipments",{"title":903,"path":904,"stem":905,"method":765,"endpoint":906},"Get multiple shipments","\u002Fen\u002Fapi\u002Fshipment-management\u002Freference\u002Fsearch-shipments","en\u002F2.api\u002F4.shipment-management\u002F2.reference\u002F3.search-shipments","\u002Fpublic\u002Fshipments\u002Fsearch",{"title":908,"path":909,"stem":910,"children":911,"page":449},"Ports Intelligence","\u002Fen\u002Fapi\u002Fports-intelligence","en\u002F2.api\u002F5.ports-intelligence",[912,920],{"title":647,"path":913,"stem":914,"children":915,"page":449},"\u002Fen\u002Fapi\u002Fports-intelligence\u002Fguides","en\u002F2.api\u002F5.ports-intelligence\u002F1.guides",[916],{"title":917,"path":918,"stem":919,"audience":7},"Port occupation","\u002Fen\u002Fapi\u002Fports-intelligence\u002Fguides\u002Fport-occupation","en\u002F2.api\u002F5.ports-intelligence\u002F1.guides\u002F1.port-occupation",{"title":684,"path":921,"stem":922,"children":923,"page":449},"\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference",[924,929,934],{"title":925,"path":926,"stem":927,"method":692,"endpoint":928},"Search Port Details by its name or unlocode","\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference\u002Fsearch-port-details","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference\u002F1.search-port-details","\u002Fports\u002Fsearch",{"title":930,"path":931,"stem":932,"method":692,"endpoint":933},"Get Port Details by unlocode","\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference\u002Fget-port-details","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference\u002F2.get-port-details","\u002Fports\u002F{unlocode}",{"title":935,"path":936,"stem":937,"method":692,"endpoint":938},"Get Vessels in port","\u002Fen\u002Fapi\u002Fports-intelligence\u002Freference\u002Fget-vessels-in-port","en\u002F2.api\u002F5.ports-intelligence\u002F2.reference\u002F3.get-vessels-in-port","\u002Fports\u002F{unlocode}\u002Fvessels-in-port",{"title":940,"path":941,"stem":942,"children":943,"page":449},"Congestion","\u002Fen\u002Fapi\u002Fcongestion","en\u002F2.api\u002F6.congestion",[944,956],{"title":647,"path":945,"stem":946,"children":947,"page":449},"\u002Fen\u002Fapi\u002Fcongestion\u002Fguides","en\u002F2.api\u002F6.congestion\u002F1.guides",[948,952],{"title":949,"path":950,"stem":951,"audience":7},"Getting started with the Congestion API","\u002Fen\u002Fapi\u002Fcongestion\u002Fguides\u002Fgetting-started","en\u002F2.api\u002F6.congestion\u002F1.guides\u002F1.getting-started",{"title":953,"path":954,"stem":955,"audience":7},"Congestion API coverage","\u002Fen\u002Fapi\u002Fcongestion\u002Fguides\u002Fcoverage","en\u002F2.api\u002F6.congestion\u002F1.guides\u002F2.coverage",{"title":684,"path":957,"stem":958,"children":959,"page":449},"\u002Fen\u002Fapi\u002Fcongestion\u002Freference","en\u002F2.api\u002F6.congestion\u002F2.reference",[960,965,970,975],{"title":961,"path":962,"stem":963,"method":692,"endpoint":964},"Retrieve aggregated congestion data for a port","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-congestion-aggregate","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F1.retrieve-congestion-aggregate","\u002Fcongestion\u002F{portCode}",{"title":966,"path":967,"stem":968,"method":765,"endpoint":969},"Retrieve aggregated congestion data for multiple ports","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-congestion-aggregate-batch","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F2.retrieve-congestion-aggregate-batch","\u002Fcongestion\u002Fbatch",{"title":971,"path":972,"stem":973,"method":692,"endpoint":974},"Retrieve the current credit consumption period","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-current-consumption-period","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F3.retrieve-current-consumption-period","\u002Fconsumption\u002Fcurrent-period",{"title":976,"path":977,"stem":978,"method":692,"endpoint":979},"Retrieve all credit consumption periods","\u002Fen\u002Fapi\u002Fcongestion\u002Freference\u002Fretrieve-consumption-periods","en\u002F2.api\u002F6.congestion\u002F2.reference\u002F4.retrieve-consumption-periods","\u002Fconsumption\u002Fperiods",[981,986,990,994,998,1002],{"title":982,"path":983,"stem":984,"audience":985},"Getting started and scope","\u002Fen\u002Ffaq\u002Fgetting-started","en\u002F3.faq\u002F1.getting-started","faq",{"title":987,"path":988,"stem":989,"audience":985},"Tracking","\u002Fen\u002Ffaq\u002Ftracking","en\u002F3.faq\u002F2.tracking",{"title":991,"path":992,"stem":993,"audience":985},"Billing and plans","\u002Fen\u002Ffaq\u002Fbilling","en\u002F3.faq\u002F3.billing",{"title":995,"path":996,"stem":997,"audience":985},"Account and workspace","\u002Fen\u002Ffaq\u002Faccount","en\u002F3.faq\u002F4.account",{"title":999,"path":1000,"stem":1001,"audience":985},"API and integration","\u002Fen\u002Ffaq\u002Fapi","en\u002F3.faq\u002F5.api",{"title":1003,"path":1004,"stem":1005,"audience":985},"Security and legal","\u002Fen\u002Ffaq\u002Fsecurity-and-legal","en\u002F3.faq\u002F6.security-and-legal",[1007,1012,1016,1020,1024,1028,1032,1036,1040,1044,1048,1052,1056,1060,1064,1068,1072,1076,1080,1084,1088,1092,1096,1100,1104,1108,1112,1116,1120,1124],{"title":1008,"path":1009,"stem":1010,"audience":1011},"November 2026","\u002Fen\u002Fchangelog\u002F2026-11-09","en\u002F4.changelog\u002F2026-11-09","changelog",{"title":1013,"path":1014,"stem":1015,"audience":1011},"October 2026","\u002Fen\u002Fchangelog\u002F2026-10-21","en\u002F4.changelog\u002F2026-10-21",{"title":1017,"path":1018,"stem":1019,"audience":1011},"September 2026","\u002Fen\u002Fchangelog\u002F2026-09-09","en\u002F4.changelog\u002F2026-09-09",{"title":1021,"path":1022,"stem":1023,"audience":1011},"August 2026","\u002Fen\u002Fchangelog\u002F2026-08-19","en\u002F4.changelog\u002F2026-08-19",{"title":1025,"path":1026,"stem":1027,"audience":1011},"July 2026","\u002Fen\u002Fchangelog\u002F2026-07-30","en\u002F4.changelog\u002F2026-07-30",{"title":1029,"path":1030,"stem":1031,"audience":1011},"June 2026","\u002Fen\u002Fchangelog\u002F2026-06-16","en\u002F4.changelog\u002F2026-06-16",{"title":1033,"path":1034,"stem":1035,"audience":1011},"April 2026","\u002Fen\u002Fchangelog\u002F2026-04-29","en\u002F4.changelog\u002F2026-04-29",{"title":1037,"path":1038,"stem":1039,"audience":1011},"March 2026","\u002Fen\u002Fchangelog\u002F2026-03-31","en\u002F4.changelog\u002F2026-03-31",{"title":1041,"path":1042,"stem":1043,"audience":1011},"February 2026","\u002Fen\u002Fchangelog\u002F2026-02-25","en\u002F4.changelog\u002F2026-02-25",{"title":1045,"path":1046,"stem":1047,"audience":1011},"January 2026","\u002Fen\u002Fchangelog\u002F2026-01-27","en\u002F4.changelog\u002F2026-01-27",{"title":1049,"path":1050,"stem":1051,"audience":1011},"December 2025","\u002Fen\u002Fchangelog\u002F2025-12-15","en\u002F4.changelog\u002F2025-12-15",{"title":1053,"path":1054,"stem":1055,"audience":1011},"November 2025","\u002Fen\u002Fchangelog\u002F2025-11-28","en\u002F4.changelog\u002F2025-11-28",{"title":1057,"path":1058,"stem":1059,"audience":1011},"September 2025","\u002Fen\u002Fchangelog\u002F2025-09-04","en\u002F4.changelog\u002F2025-09-04",{"title":1061,"path":1062,"stem":1063,"audience":1011},"August 2025","\u002Fen\u002Fchangelog\u002F2025-08-20","en\u002F4.changelog\u002F2025-08-20",{"title":1065,"path":1066,"stem":1067,"audience":1011},"July 2025","\u002Fen\u002Fchangelog\u002F2025-07-21","en\u002F4.changelog\u002F2025-07-21",{"title":1069,"path":1070,"stem":1071,"audience":1011},"June 2025","\u002Fen\u002Fchangelog\u002F2025-06-23","en\u002F4.changelog\u002F2025-06-23",{"title":1073,"path":1074,"stem":1075,"audience":1011},"May 2025","\u002Fen\u002Fchangelog\u002F2025-05-26","en\u002F4.changelog\u002F2025-05-26",{"title":1077,"path":1078,"stem":1079,"audience":1011},"April 2025","\u002Fen\u002Fchangelog\u002F2025-04-28","en\u002F4.changelog\u002F2025-04-28",{"title":1081,"path":1082,"stem":1083,"audience":1011},"March 2025","\u002Fen\u002Fchangelog\u002F2025-03-31","en\u002F4.changelog\u002F2025-03-31",{"title":1085,"path":1086,"stem":1087,"audience":1011},"February 2025","\u002Fen\u002Fchangelog\u002F2025-02-26","en\u002F4.changelog\u002F2025-02-26",{"title":1089,"path":1090,"stem":1091,"audience":1011},"January 2025","\u002Fen\u002Fchangelog\u002F2025-01-30","en\u002F4.changelog\u002F2025-01-30",{"title":1093,"path":1094,"stem":1095,"audience":1011},"December 2024","\u002Fen\u002Fchangelog\u002F2024-12-19","en\u002F4.changelog\u002F2024-12-19",{"title":1097,"path":1098,"stem":1099,"audience":1011},"November 2024","\u002Fen\u002Fchangelog\u002F2024-11-28","en\u002F4.changelog\u002F2024-11-28",{"title":1101,"path":1102,"stem":1103,"audience":1011},"October 2024","\u002Fen\u002Fchangelog\u002F2024-10-30","en\u002F4.changelog\u002F2024-10-30",{"title":1105,"path":1106,"stem":1107,"audience":1011},"September 2024","\u002Fen\u002Fchangelog\u002F2024-09-23","en\u002F4.changelog\u002F2024-09-23",{"title":1109,"path":1110,"stem":1111,"audience":1011},"August 2024","\u002Fen\u002Fchangelog\u002F2024-08-30","en\u002F4.changelog\u002F2024-08-30",{"title":1113,"path":1114,"stem":1115,"audience":1011},"July 2024","\u002Fen\u002Fchangelog\u002F2024-07-29","en\u002F4.changelog\u002F2024-07-29",{"title":1117,"path":1118,"stem":1119,"audience":1011},"June 2024","\u002Fen\u002Fchangelog\u002F2024-06-25","en\u002F4.changelog\u002F2024-06-25",{"title":1121,"path":1122,"stem":1123,"audience":1011},"May 2024","\u002Fen\u002Fchangelog\u002F2024-05-31","en\u002F4.changelog\u002F2024-05-31",{"title":1125,"path":1126,"stem":1127,"audience":1011},"April 2024","\u002Fen\u002Fchangelog\u002F2024-04-30","en\u002F4.changelog\u002F2024-04-30",[1129,1130],{"title":738,"path":437,"stem":739,"children":-1},{"title":742,"path":743,"stem":744,"children":-1},1794931501860]